Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Event_Handler::Reference_Counting_Policy Class Reference

This policy dictates the reference counting requirements for the handler. More...

`#include <Event_Handler.h>`

Inheritance diagram for ACE_Event_Handler::Reference_Counting_Policy:

[legend]
Collaboration diagram for ACE_Event_Handler::Reference_Counting_Policy:

[legend]
List of all members.

## Public Types
enum | Value { ENABLED, DISABLED }
## Public Methods
Value | value (void) const
| Current Reference_Counting_Policy.
void | value (Value value)
| Update Reference_Counting_Policy.
## Private Methods
| Reference_Counting_Policy (Value value)
| Private constructor.
## Private Attributes
Value | value_
| The value of the policy.
## Friends
class | ACE_Event_Handler
| This policy can only be created by the handler.

## Detailed Description

This policy dictates the reference counting requirements for the handler.

This policy allows applications to configure whether it wants the Reactor to call add_reference() and remove_reference() during registrations, removals, and upcalls.

Default: DISABLED.

## Member Enumeration Documentation

enum ACE_Event_Handler::Reference_Counting_Policy::Value

  | Enumeration values:
  ENABLED | Perform reference counting.
  DISABLED | Don't perform reference counting.

## Constructor & Destructor Documentation

ACE_Event_Handler::Reference_Counting_Policy::Reference_Counting_Policy | ( | Value | value | ) | `[private]`

| Private constructor.

## Member Function Documentation

void ACE_Event_Handler::Reference_Counting_Policy::value | ( | Value | value | ) |

| Update Reference_Counting_Policy.

ACE_Event_Handler::Reference_Counting_Policy::Value ACE_Event_Handler::Reference_Counting_Policy::value | ( | void |  | ) | const

| Current Reference_Counting_Policy.

## Friends And Related Function Documentation

friend class ACE_Event_Handler`[friend]`

| This policy can only be created by the handler.

## Member Data Documentation

Value ACE_Event_Handler::Reference_Counting_Policy::value_`[private]`

| The value of the policy.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.cpp